# \Thelia\Model\BaseCurrencyQuery

Base class that represents a query for the 'currency' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCode()
filterBySymbol()
filterByRate()
filterByByDefault()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByOrder()
joinOrder()
useOrderQuery()
filterByCart()
joinCart()
useCartQuery()
filterByProductPrice()
joinProductPrice()
useProductPriceQuery()
filterByCurrencyI18n()
joinCurrencyI18n()
useCurrencyI18nQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
orderById()
orderByCode()
orderBySymbol()
orderByRate()
orderByByDefault()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByCode()
groupBySymbol()
groupByRate()
groupByByDefault()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinOrder()
rightJoinOrder()
innerJoinOrder()
leftJoinCart()
rightJoinCart()
innerJoinCart()
leftJoinProductPrice()
rightJoinProductPrice()
innerJoinProductPrice()
leftJoinCurrencyI18n()
rightJoinCurrencyI18n()
innerJoinCurrencyI18n()
findOne()
findOneOrCreate()
findOneById()
findOneByCode()
findOneBySymbol()
findOneByRate()
findOneByByDefault()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByCode()
findBySymbol()
findByRate()
findByByDefault()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/CurrencyQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CurrencyQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CurrencyQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CurrencyQuery

Returns a new ChildCurrencyQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CurrencyQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Currency|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Currency|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CurrencyQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CurrencyQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCode()

    filterByCode(string $code, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the code column

Example usage: `$query->filterByCode('fooValue'); // WHERE code = 'fooValue' $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'`

#### Parameters

string | $code | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterBySymbol()

    filterBySymbol(string $symbol, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the symbol column

Example usage: `$query->filterBySymbol('fooValue'); // WHERE symbol = 'fooValue' $query->filterBySymbol('%fooValue%'); // WHERE symbol LIKE '%fooValue%'`

#### Parameters

string | $symbol | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByRate()

    filterByRate(mixed $rate, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the rate column

Example usage: `$query->filterByRate(1234); // WHERE rate = 1234 $query->filterByRate(array(12, 34)); // WHERE rate IN (12, 34) $query->filterByRate(array('min' => 12)); // WHERE rate > 12`

#### Parameters

mixed | $rate | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByByDefault()

    filterByByDefault(mixed $byDefault, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the by_default column

Example usage: `$query->filterByByDefault(1234); // WHERE by_default = 1234 $query->filterByByDefault(array(12, 34)); // WHERE by_default IN (12, 34) $query->filterByByDefault(array('min' => 12)); // WHERE by_default > 12`

#### Parameters

mixed | $byDefault | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByOrder()

    filterByOrder(\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection $order, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query by a related \Thelia\Model\Order object

#### Parameters

\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection | $order | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrder()

    joinOrder(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Adds a JOIN clause to the query using the Order relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderQuery()

    useOrderQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Use the Order relation Order object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCart()

    filterByCart(\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection $cart, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query by a related \Thelia\Model\Cart object

#### Parameters

\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection | $cart | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCart()

    joinCart(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Adds a JOIN clause to the query using the Cart relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### useCartQuery()

    useCartQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Use the Cart relation Cart object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductPrice()

    filterByProductPrice(\Thelia\Model\ProductPrice|\Propel\Runtime\Collection\ObjectCollection $productPrice, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query by a related \Thelia\Model\ProductPrice object

#### Parameters

\Thelia\Model\ProductPrice|\Propel\Runtime\Collection\ObjectCollection | $productPrice | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductPrice()

    joinProductPrice(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Adds a JOIN clause to the query using the ProductPrice relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductPriceQuery()

    useProductPriceQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductPriceQuery

Use the ProductPrice relation ProductPrice object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductPriceQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCurrencyI18n()

    filterByCurrencyI18n(\Thelia\Model\CurrencyI18n|\Propel\Runtime\Collection\ObjectCollection $currencyI18n, string $comparison) : \Thelia\Model\CurrencyQuery

Filter the query by a related \Thelia\Model\CurrencyI18n object

#### Parameters

\Thelia\Model\CurrencyI18n|\Propel\Runtime\Collection\ObjectCollection | $currencyI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCurrencyI18n()

    joinCurrencyI18n(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Adds a JOIN clause to the query using the CurrencyI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### useCurrencyI18nQuery()

    useCurrencyI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyI18nQuery

Use the CurrencyI18n relation CurrencyI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Currency $currency) : \Thelia\Model\CurrencyQuery

Exclude object from result

#### Parameters

\Thelia\Model\Currency | $currency | Object to remove from the list of results

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the currency table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCurrency or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CurrencyQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CurrencyQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CurrencyQuery

Order by update date desc

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CurrencyQuery

Order by update date asc

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CurrencyQuery

Order by create date desc

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CurrencyQuery

Order by create date asc

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\CurrencyQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CurrencyQuery —

The current query, for fluid interface

#

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\CurrencyI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CurrencyI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CurrencyQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderByCode()

    orderByCode($order =) : \Thelia\Model\CurrencyQuery

Order by the code column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderBySymbol()

    orderBySymbol($order =) : \Thelia\Model\CurrencyQuery

Order by the symbol column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderByRate()

    orderByRate($order =) : \Thelia\Model\CurrencyQuery

Order by the rate column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderByByDefault()

    orderByByDefault($order =) : \Thelia\Model\CurrencyQuery

Order by the by_default column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\CurrencyQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CurrencyQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CurrencyQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CurrencyQuery

Group by the id column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupByCode()

    groupByCode() : \Thelia\Model\CurrencyQuery

Group by the code column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupBySymbol()

    groupBySymbol() : \Thelia\Model\CurrencyQuery

Group by the symbol column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupByRate()

    groupByRate() : \Thelia\Model\CurrencyQuery

Group by the rate column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupByByDefault()

    groupByByDefault() : \Thelia\Model\CurrencyQuery

Group by the by_default column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\CurrencyQuery

Group by the position column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CurrencyQuery

Group by the created_at column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CurrencyQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CurrencyQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CurrencyQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CurrencyQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### leftJoinOrder()

    leftJoinOrder($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a LEFT JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### rightJoinOrder()

    rightJoinOrder($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a RIGHT JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### innerJoinOrder()

    innerJoinOrder($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a INNER JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### leftJoinCart()

    leftJoinCart($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a LEFT JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### rightJoinCart()

    rightJoinCart($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a RIGHT JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### innerJoinCart()

    innerJoinCart($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a INNER JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### leftJoinProductPrice()

    leftJoinProductPrice($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a LEFT JOIN clause to the query using the ProductPrice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### rightJoinProductPrice()

    rightJoinProductPrice($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a RIGHT JOIN clause to the query using the ProductPrice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### innerJoinProductPrice()

    innerJoinProductPrice($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a INNER JOIN clause to the query using the ProductPrice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### leftJoinCurrencyI18n()

    leftJoinCurrencyI18n($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a LEFT JOIN clause to the query using the CurrencyI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### rightJoinCurrencyI18n()

    rightJoinCurrencyI18n($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a RIGHT JOIN clause to the query using the CurrencyI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### innerJoinCurrencyI18n()

    innerJoinCurrencyI18n($relationAlias =) : \Thelia\Model\CurrencyQuery

Adds a INNER JOIN clause to the query using the CurrencyI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CurrencyQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Currency

Return the first ChildCurrency matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Currency

Return the first ChildCurrency matching the query, or a new ChildCurrency object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneByCode()

    findOneByCode(string $code) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the code column

#### Parameters

string | $code |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneBySymbol()

    findOneBySymbol(string $symbol) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the symbol column

#### Parameters

string | $symbol |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneByRate()

    findOneByRate(double $rate) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the rate column

#### Parameters

double | $rate |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneByByDefault()

    findOneByByDefault(int $by_default) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the by_default column

#### Parameters

int | $by_default |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Currency

Return the first ChildCurrency filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Currency

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCurrency objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByCode()

    findByCode(string $code) : array

Return ChildCurrency objects filtered by the code column

#### Parameters

string | $code |

#### Returns

array

#

## Tags

None found

### findBySymbol()

    findBySymbol(string $symbol) : array

Return ChildCurrency objects filtered by the symbol column

#### Parameters

string | $symbol |

#### Returns

array

#

## Tags

None found

### findByRate()

    findByRate(double $rate) : array

Return ChildCurrency objects filtered by the rate column

#### Parameters

double | $rate |

#### Returns

array

#

## Tags

None found

### findByByDefault()

    findByByDefault(int $by_default) : array

Return ChildCurrency objects filtered by the by_default column

#### Parameters

int | $by_default |

#### Returns

array

#

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildCurrency objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCurrency objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCurrency objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Currency

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Currency —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Currency|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Currency|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### CurrencyQuery.php